Bug 11582 - I have a patch to build ccache on Solaris/AIX with gcc
I have a patch to build ccache on Solaris/AIX with gcc
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.2.4
Sparc Solaris
: P5 normal
: 3.2.5
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 15:25 UTC by Neil Mushell
Modified: 2016-04-17 14:49 UTC (History)
1 user (show)

See Also:


Attachments
Check if MAX is not defined (10.23 KB, text/html)
2015-10-30 21:08 UTC, Neil Mushell
no flags Details
Updated check ifndef MAX (258 bytes, patch)
2015-10-30 21:17 UTC, Neil Mushell
no flags Details
feature Macro's for AIX 7 and Solaris (717 bytes, patch)
2015-10-30 21:18 UTC, Neil Mushell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Mushell 2015-10-30 15:25:16 UTC
I have a patch I would like to submit that fixes ccache build on Solaris 10+ and AIX 7. What is the process to submit the patch?
Comment 1 Joel Rosdahl 2015-10-30 16:16:24 UTC
You can attach it to this bug report.
Comment 2 Neil Mushell 2015-10-30 21:08:14 UTC
Created attachment 11559 [details]
Check if MAX is not defined
Comment 3 Neil Mushell 2015-10-30 21:13:37 UTC
Comment on attachment 11559 [details]
Check if MAX is not defined

--- ./ccache.h	2015-10-08 15:12:14.000000000 -0400
+++ ./ccache.h	2015-10-21 16:31:54.290193000 -0400
@@ -276,6 +276,8 @@
 #    define PATH_DELIM ":"
 #endif
 
+#ifndef MAX
 #define MAX(a, b) (((a) > (b)) ? (a) : (b))
+#endif
 
 #endif /* ifndef CCACHE_H */
Comment 4 Neil Mushell 2015-10-30 21:15:06 UTC
Comment on attachment 11559 [details]
Check if MAX is not defined

--- ./ccache.h	2015-10-08 15:12:14.000000000 -0400
+++ ./ccache.h	2015-10-21 16:31:54.290193000 -0400
@@ -276,6 +276,8 @@
 #    define PATH_DELIM ":"
 #endif
 
+#ifndef MAX
 #define MAX(a, b) (((a) > (b)) ? (a) : (b))
+#endif
 
 #endif /* ifndef CCACHE_H */
Comment 5 Neil Mushell 2015-10-30 21:17:01 UTC
Created attachment 11560 [details]
Updated check ifndef MAX
Comment 6 Neil Mushell 2015-10-30 21:18:18 UTC
Created attachment 11561 [details]
feature Macro's for AIX 7 and Solaris
Comment 7 Joel Rosdahl 2015-11-02 20:30:26 UTC
Looks good to me, applied in 9485354a5542f901dbca9f96930d036bdbdaaf8b. Thanks!
Comment 8 Joel Rosdahl 2016-04-17 14:49:22 UTC
Included in 3.2.5.